For the complete documentation index, see llms.txt. This page is also available as Markdown.

Manifest

Project manifest operations

Get project manifest

get
/projects/{id}/manifest

Returns the manifest for a project

Authorizations
X-Identity-Auth-Chain-*stringRequired

Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.

Path parameters
idstring · uuidRequired

Project UUID

Responses
301

Redirect to S3 manifest URL

No content

get/projects/{id}/manifest
GET /v1/projects/{id}/manifest HTTP/1.1
Host: builder-api.decentraland.org
X-Identity-Auth-Chain-*: YOUR_API_KEY
Accept: */*

No content

Upsert project manifest

put
/projects/{id}/manifest

Creates or updates the manifest for a project

Authorizations
X-Identity-Auth-Chain-*stringRequired

Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.

Path parameters
idstring · uuidRequired

Project UUID

Body
manifestobjectOptional
Responses
200

Manifest upserted successfully

application/json
okbooleanOptional
put/projects/{id}/manifest
PUT /v1/projects/{id}/manifest HTTP/1.1
Host: builder-api.decentraland.org
X-Identity-Auth-Chain-*: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "manifest": {}
}
{
  "ok": true,
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "title": "text",
    "description": "text",
    "thumbnail": "text",
    "scene_id": "123e4567-e89b-12d3-a456-426614174000",
    "eth_address": "text",
    "cols": 1,
    "rows": 1,
    "parcels": 1,
    "transforms": 1,
    "gltf_shapes": 1,
    "nft_shapes": 1,
    "scripts": 1,
    "entities": 1,
    "is_deleted": true,
    "is_public": true,
    "is_template": true,
    "creation_coords": "text",
    "template_status": "active",
    "video": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}

Delete project manifest

delete
/projects/{id}/manifest

Deletes the manifest for a project

Authorizations
X-Identity-Auth-Chain-*stringRequired

Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.

Path parameters
idstring · uuidRequired

Project UUID

Responses
200

Manifest deleted successfully

No content

delete/projects/{id}/manifest
DELETE /v1/projects/{id}/manifest HTTP/1.1
Host: builder-api.decentraland.org
X-Identity-Auth-Chain-*: YOUR_API_KEY
Accept: */*

No content

Get all manifests

get
/manifests

Returns all manifests for the authenticated user

Authorizations
X-Identity-Auth-Chain-*stringRequired

Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.

Responses
200

List of manifests

application/json
okbooleanOptional
dataobject[]Optional
get/manifests
GET /v1/manifests HTTP/1.1
Host: builder-api.decentraland.org
X-Identity-Auth-Chain-*: YOUR_API_KEY
Accept: */*
{
  "ok": true,
  "data": [
    {}
  ]
}

Get public project manifest

get
/publics/{id}/manifest

Returns the manifest for a public project

Path parameters
idstring · uuidRequired

Project UUID

Responses
301

Redirect to S3 manifest URL

No content

get/publics/{id}/manifest
GET /v1/publics/{id}/manifest HTTP/1.1
Host: builder-api.decentraland.org
Accept: */*

No content

Get template manifest

get
/templates/{id}/manifest

Returns the manifest for a template project

Path parameters
idstring · uuidRequired

Project UUID

Responses
301

Redirect to S3 manifest URL

No content

get/templates/{id}/manifest
GET /v1/templates/{id}/manifest HTTP/1.1
Host: builder-api.decentraland.org
Accept: */*

No content

Get pool manifest

get
/pools/{id}/manifest

Returns the manifest for a pool

Path parameters
idstring · uuidRequired
Responses
301

Redirect to S3 manifest URL

No content

get/pools/{id}/manifest
GET /v1/pools/{id}/manifest HTTP/1.1
Host: builder-api.decentraland.org
Accept: */*

No content

Last updated